Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002479Zandronum[All Projects] Suggestionpublic2015-10-05 15:332018-09-30 22:15
ReporterDusk 
Assigned ToDusk 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.0Fixed in Version3.0 
Summary0002479: Make sv_nodrop a dmflag
DescriptionIt looks like a dmflag, it acts like one but isn't actually one. IMO we should change this, put it into zadmflags and put the cvar into gameplay options.
Attached Files

- Relationships
child of 0002484needs testingDusk Server setup menu 

-  Notes
User avatar (0013609)
Torr Samaho (administrator)
2015-10-05 17:05

The reason why sv_nodrop is not a dmflag is that its implementation is purely server-side, so clients don't need to know about it. I wouldn't mind if it's transformed to a dmflag though. So feel free to change this.
User avatar (0013632)
Dusk (developer)
2015-10-09 07:41
edited on: 2015-10-09 07:41

https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/30 [^]

I added client-side checking while at it so no bw is used if dropping is disabled

User avatar (0013640)
cobalt (updater)
2015-10-10 10:40

Issue addressed by commit bbae6882de3c: Made sv_nodrop a dmflag (addresses 2479)
Committed by Teemu Piippo [Dusk] on Friday 09 October 2015 10:39:14

Changes in files:

 docs/zandronum-history.txt | 1 +
 src/cl_commands.cpp | 7 +++++++
 src/d_main.cpp | 1 +
 src/doomdef.h | 3 +++
 src/sv_main.cpp | 6 +-----
 wadsrc/static/menudef.txt | 3 ++-
 6 files changed, 15 insertions(+), 6 deletions(-)

User avatar (0013943)
Ru5tK1ng (updater)
2015-12-06 21:22

Checked out with:https://www.dropbox.com/s/obffhny5vh06g6e/zandronum-3.0-r150809-0703-83ceae7-windows.zip?dl=0 [^]

I was able to toggle nodrop from the console and gameplay options without issue.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-10-05 15:33 Dusk New Issue
2015-10-05 17:05 Torr Samaho Note Added: 0013609
2015-10-09 07:19 Dusk Assigned To => Dusk
2015-10-09 07:19 Dusk Status new => assigned
2015-10-09 07:22 Dusk Relationship added child of 0002484
2015-10-09 07:41 Dusk Note Added: 0013632
2015-10-09 07:41 Dusk Status assigned => needs review
2015-10-09 07:41 Dusk Note Edited: 0013632 View Revisions
2015-10-10 09:10 Torr Samaho Status needs review => needs testing
2015-10-10 10:40 cobalt Target Version => 3.0
2015-10-10 10:40 cobalt Note Added: 0013640
2015-12-06 21:22 Ru5tK1ng Note Added: 0013943
2015-12-06 21:23 Ru5tK1ng Status needs testing => resolved
2015-12-06 21:23 Ru5tK1ng Resolution open => fixed
2015-12-06 21:23 Ru5tK1ng Fixed in Version => 3.0
2018-09-30 22:15 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker